For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Workflows

list

GET
https://api.groundx.ai/api/v1/workflow
GET
/api/v1/workflow
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.workflows.list()
200Retrieved
1{
2 "workflows": [
3 {
4 "chunkStrategy": "element",
5 "documentId": "string",
6 "id": 1,
7 "name": "string",
8 "extract": {},
9 "sectionStrategy": "chunks",
10 "steps": {
11 "chunk-instruct": {
12 "all": {
13 "engine": {
14 "apiKey": "string",
15 "baseURL": "string",
16 "engineID": "string",
17 "reasoningEffort": "minimal",
18 "requestPassthrough": {},
19 "service": "openai"
20 },
21 "field": "doc-sum",
22 "includes": {},
23 "prompt": {
24 "request": {
25 "abbreviated": "string",
26 "prompt": "string",
27 "role": "assistant"
28 },
29 "task": {
30 "abbreviated": "string",
31 "prompt": "string",
32 "role": "assistant"
33 }
34 }
35 },
36 "figure": {
37 "engine": {
38 "apiKey": "string",
39 "baseURL": "string",
40 "engineID": "string",
41 "reasoningEffort": "minimal",
42 "requestPassthrough": {},
43 "service": "openai"
44 },
45 "field": "doc-sum",
46 "includes": {},
47 "prompt": {
48 "request": {
49 "abbreviated": "string",
50 "prompt": "string",
51 "role": "assistant"
52 },
53 "task": {
54 "abbreviated": "string",
55 "prompt": "string",
56 "role": "assistant"
57 }
58 }
59 },
60 "json": {
61 "engine": {
62 "apiKey": "string",
63 "baseURL": "string",
64 "engineID": "string",
65 "reasoningEffort": "minimal",
66 "requestPassthrough": {},
67 "service": "openai"
68 },
69 "field": "doc-sum",
70 "includes": {},
71 "prompt": {
72 "request": {
73 "abbreviated": "string",
74 "prompt": "string",
75 "role": "assistant"
76 },
77 "task": {
78 "abbreviated": "string",
79 "prompt": "string",
80 "role": "assistant"
81 }
82 }
83 },
84 "paragraph": {
85 "engine": {
86 "apiKey": "string",
87 "baseURL": "string",
88 "engineID": "string",
89 "reasoningEffort": "minimal",
90 "requestPassthrough": {},
91 "service": "openai"
92 },
93 "field": "doc-sum",
94 "includes": {},
95 "prompt": {
96 "request": {
97 "abbreviated": "string",
98 "prompt": "string",
99 "role": "assistant"
100 },
101 "task": {
102 "abbreviated": "string",
103 "prompt": "string",
104 "role": "assistant"
105 }
106 }
107 },
108 "table": {
109 "engine": {
110 "apiKey": "string",
111 "baseURL": "string",
112 "engineID": "string",
113 "reasoningEffort": "minimal",
114 "requestPassthrough": {},
115 "service": "openai"
116 },
117 "field": "doc-sum",
118 "includes": {},
119 "prompt": {
120 "request": {
121 "abbreviated": "string",
122 "prompt": "string",
123 "role": "assistant"
124 },
125 "task": {
126 "abbreviated": "string",
127 "prompt": "string",
128 "role": "assistant"
129 }
130 }
131 },
132 "table-figure": {
133 "engine": {
134 "apiKey": "string",
135 "baseURL": "string",
136 "engineID": "string",
137 "reasoningEffort": "minimal",
138 "requestPassthrough": {},
139 "service": "openai"
140 },
141 "field": "doc-sum",
142 "includes": {},
143 "prompt": {
144 "request": {
145 "abbreviated": "string",
146 "prompt": "string",
147 "role": "assistant"
148 },
149 "task": {
150 "abbreviated": "string",
151 "prompt": "string",
152 "role": "assistant"
153 }
154 }
155 }
156 },
157 "chunk-keys": {
158 "all": {
159 "engine": {
160 "apiKey": "string",
161 "baseURL": "string",
162 "engineID": "string",
163 "reasoningEffort": "minimal",
164 "requestPassthrough": {},
165 "service": "openai"
166 },
167 "field": "doc-sum",
168 "includes": {},
169 "prompt": {
170 "request": {
171 "abbreviated": "string",
172 "prompt": "string",
173 "role": "assistant"
174 },
175 "task": {
176 "abbreviated": "string",
177 "prompt": "string",
178 "role": "assistant"
179 }
180 }
181 },
182 "figure": {
183 "engine": {
184 "apiKey": "string",
185 "baseURL": "string",
186 "engineID": "string",
187 "reasoningEffort": "minimal",
188 "requestPassthrough": {},
189 "service": "openai"
190 },
191 "field": "doc-sum",
192 "includes": {},
193 "prompt": {
194 "request": {
195 "abbreviated": "string",
196 "prompt": "string",
197 "role": "assistant"
198 },
199 "task": {
200 "abbreviated": "string",
201 "prompt": "string",
202 "role": "assistant"
203 }
204 }
205 },
206 "json": {
207 "engine": {
208 "apiKey": "string",
209 "baseURL": "string",
210 "engineID": "string",
211 "reasoningEffort": "minimal",
212 "requestPassthrough": {},
213 "service": "openai"
214 },
215 "field": "doc-sum",
216 "includes": {},
217 "prompt": {
218 "request": {
219 "abbreviated": "string",
220 "prompt": "string",
221 "role": "assistant"
222 },
223 "task": {
224 "abbreviated": "string",
225 "prompt": "string",
226 "role": "assistant"
227 }
228 }
229 },
230 "paragraph": {
231 "engine": {
232 "apiKey": "string",
233 "baseURL": "string",
234 "engineID": "string",
235 "reasoningEffort": "minimal",
236 "requestPassthrough": {},
237 "service": "openai"
238 },
239 "field": "doc-sum",
240 "includes": {},
241 "prompt": {
242 "request": {
243 "abbreviated": "string",
244 "prompt": "string",
245 "role": "assistant"
246 },
247 "task": {
248 "abbreviated": "string",
249 "prompt": "string",
250 "role": "assistant"
251 }
252 }
253 },
254 "table": {
255 "engine": {
256 "apiKey": "string",
257 "baseURL": "string",
258 "engineID": "string",
259 "reasoningEffort": "minimal",
260 "requestPassthrough": {},
261 "service": "openai"
262 },
263 "field": "doc-sum",
264 "includes": {},
265 "prompt": {
266 "request": {
267 "abbreviated": "string",
268 "prompt": "string",
269 "role": "assistant"
270 },
271 "task": {
272 "abbreviated": "string",
273 "prompt": "string",
274 "role": "assistant"
275 }
276 }
277 },
278 "table-figure": {
279 "engine": {
280 "apiKey": "string",
281 "baseURL": "string",
282 "engineID": "string",
283 "reasoningEffort": "minimal",
284 "requestPassthrough": {},
285 "service": "openai"
286 },
287 "field": "doc-sum",
288 "includes": {},
289 "prompt": {
290 "request": {
291 "abbreviated": "string",
292 "prompt": "string",
293 "role": "assistant"
294 },
295 "task": {
296 "abbreviated": "string",
297 "prompt": "string",
298 "role": "assistant"
299 }
300 }
301 }
302 },
303 "chunk-summary": {
304 "all": {
305 "engine": {
306 "apiKey": "string",
307 "baseURL": "string",
308 "engineID": "string",
309 "reasoningEffort": "minimal",
310 "requestPassthrough": {},
311 "service": "openai"
312 },
313 "field": "doc-sum",
314 "includes": {},
315 "prompt": {
316 "request": {
317 "abbreviated": "string",
318 "prompt": "string",
319 "role": "assistant"
320 },
321 "task": {
322 "abbreviated": "string",
323 "prompt": "string",
324 "role": "assistant"
325 }
326 }
327 },
328 "figure": {
329 "engine": {
330 "apiKey": "string",
331 "baseURL": "string",
332 "engineID": "string",
333 "reasoningEffort": "minimal",
334 "requestPassthrough": {},
335 "service": "openai"
336 },
337 "field": "doc-sum",
338 "includes": {},
339 "prompt": {
340 "request": {
341 "abbreviated": "string",
342 "prompt": "string",
343 "role": "assistant"
344 },
345 "task": {
346 "abbreviated": "string",
347 "prompt": "string",
348 "role": "assistant"
349 }
350 }
351 },
352 "json": {
353 "engine": {
354 "apiKey": "string",
355 "baseURL": "string",
356 "engineID": "string",
357 "reasoningEffort": "minimal",
358 "requestPassthrough": {},
359 "service": "openai"
360 },
361 "field": "doc-sum",
362 "includes": {},
363 "prompt": {
364 "request": {
365 "abbreviated": "string",
366 "prompt": "string",
367 "role": "assistant"
368 },
369 "task": {
370 "abbreviated": "string",
371 "prompt": "string",
372 "role": "assistant"
373 }
374 }
375 },
376 "paragraph": {
377 "engine": {
378 "apiKey": "string",
379 "baseURL": "string",
380 "engineID": "string",
381 "reasoningEffort": "minimal",
382 "requestPassthrough": {},
383 "service": "openai"
384 },
385 "field": "doc-sum",
386 "includes": {},
387 "prompt": {
388 "request": {
389 "abbreviated": "string",
390 "prompt": "string",
391 "role": "assistant"
392 },
393 "task": {
394 "abbreviated": "string",
395 "prompt": "string",
396 "role": "assistant"
397 }
398 }
399 },
400 "table": {
401 "engine": {
402 "apiKey": "string",
403 "baseURL": "string",
404 "engineID": "string",
405 "reasoningEffort": "minimal",
406 "requestPassthrough": {},
407 "service": "openai"
408 },
409 "field": "doc-sum",
410 "includes": {},
411 "prompt": {
412 "request": {
413 "abbreviated": "string",
414 "prompt": "string",
415 "role": "assistant"
416 },
417 "task": {
418 "abbreviated": "string",
419 "prompt": "string",
420 "role": "assistant"
421 }
422 }
423 },
424 "table-figure": {
425 "engine": {
426 "apiKey": "string",
427 "baseURL": "string",
428 "engineID": "string",
429 "reasoningEffort": "minimal",
430 "requestPassthrough": {},
431 "service": "openai"
432 },
433 "field": "doc-sum",
434 "includes": {},
435 "prompt": {
436 "request": {
437 "abbreviated": "string",
438 "prompt": "string",
439 "role": "assistant"
440 },
441 "task": {
442 "abbreviated": "string",
443 "prompt": "string",
444 "role": "assistant"
445 }
446 }
447 }
448 },
449 "doc-keys": {
450 "all": {
451 "engine": {
452 "apiKey": "string",
453 "baseURL": "string",
454 "engineID": "string",
455 "reasoningEffort": "minimal",
456 "requestPassthrough": {},
457 "service": "openai"
458 },
459 "field": "doc-sum",
460 "includes": {},
461 "prompt": {
462 "request": {
463 "abbreviated": "string",
464 "prompt": "string",
465 "role": "assistant"
466 },
467 "task": {
468 "abbreviated": "string",
469 "prompt": "string",
470 "role": "assistant"
471 }
472 }
473 },
474 "figure": {
475 "engine": {
476 "apiKey": "string",
477 "baseURL": "string",
478 "engineID": "string",
479 "reasoningEffort": "minimal",
480 "requestPassthrough": {},
481 "service": "openai"
482 },
483 "field": "doc-sum",
484 "includes": {},
485 "prompt": {
486 "request": {
487 "abbreviated": "string",
488 "prompt": "string",
489 "role": "assistant"
490 },
491 "task": {
492 "abbreviated": "string",
493 "prompt": "string",
494 "role": "assistant"
495 }
496 }
497 },
498 "json": {
499 "engine": {
500 "apiKey": "string",
501 "baseURL": "string",
502 "engineID": "string",
503 "reasoningEffort": "minimal",
504 "requestPassthrough": {},
505 "service": "openai"
506 },
507 "field": "doc-sum",
508 "includes": {},
509 "prompt": {
510 "request": {
511 "abbreviated": "string",
512 "prompt": "string",
513 "role": "assistant"
514 },
515 "task": {
516 "abbreviated": "string",
517 "prompt": "string",
518 "role": "assistant"
519 }
520 }
521 },
522 "paragraph": {
523 "engine": {
524 "apiKey": "string",
525 "baseURL": "string",
526 "engineID": "string",
527 "reasoningEffort": "minimal",
528 "requestPassthrough": {},
529 "service": "openai"
530 },
531 "field": "doc-sum",
532 "includes": {},
533 "prompt": {
534 "request": {
535 "abbreviated": "string",
536 "prompt": "string",
537 "role": "assistant"
538 },
539 "task": {
540 "abbreviated": "string",
541 "prompt": "string",
542 "role": "assistant"
543 }
544 }
545 },
546 "table": {
547 "engine": {
548 "apiKey": "string",
549 "baseURL": "string",
550 "engineID": "string",
551 "reasoningEffort": "minimal",
552 "requestPassthrough": {},
553 "service": "openai"
554 },
555 "field": "doc-sum",
556 "includes": {},
557 "prompt": {
558 "request": {
559 "abbreviated": "string",
560 "prompt": "string",
561 "role": "assistant"
562 },
563 "task": {
564 "abbreviated": "string",
565 "prompt": "string",
566 "role": "assistant"
567 }
568 }
569 },
570 "table-figure": {
571 "engine": {
572 "apiKey": "string",
573 "baseURL": "string",
574 "engineID": "string",
575 "reasoningEffort": "minimal",
576 "requestPassthrough": {},
577 "service": "openai"
578 },
579 "field": "doc-sum",
580 "includes": {},
581 "prompt": {
582 "request": {
583 "abbreviated": "string",
584 "prompt": "string",
585 "role": "assistant"
586 },
587 "task": {
588 "abbreviated": "string",
589 "prompt": "string",
590 "role": "assistant"
591 }
592 }
593 }
594 },
595 "doc-summary": {
596 "all": {
597 "engine": {
598 "apiKey": "string",
599 "baseURL": "string",
600 "engineID": "string",
601 "reasoningEffort": "minimal",
602 "requestPassthrough": {},
603 "service": "openai"
604 },
605 "field": "doc-sum",
606 "includes": {},
607 "prompt": {
608 "request": {
609 "abbreviated": "string",
610 "prompt": "string",
611 "role": "assistant"
612 },
613 "task": {
614 "abbreviated": "string",
615 "prompt": "string",
616 "role": "assistant"
617 }
618 }
619 },
620 "figure": {
621 "engine": {
622 "apiKey": "string",
623 "baseURL": "string",
624 "engineID": "string",
625 "reasoningEffort": "minimal",
626 "requestPassthrough": {},
627 "service": "openai"
628 },
629 "field": "doc-sum",
630 "includes": {},
631 "prompt": {
632 "request": {
633 "abbreviated": "string",
634 "prompt": "string",
635 "role": "assistant"
636 },
637 "task": {
638 "abbreviated": "string",
639 "prompt": "string",
640 "role": "assistant"
641 }
642 }
643 },
644 "json": {
645 "engine": {
646 "apiKey": "string",
647 "baseURL": "string",
648 "engineID": "string",
649 "reasoningEffort": "minimal",
650 "requestPassthrough": {},
651 "service": "openai"
652 },
653 "field": "doc-sum",
654 "includes": {},
655 "prompt": {
656 "request": {
657 "abbreviated": "string",
658 "prompt": "string",
659 "role": "assistant"
660 },
661 "task": {
662 "abbreviated": "string",
663 "prompt": "string",
664 "role": "assistant"
665 }
666 }
667 },
668 "paragraph": {
669 "engine": {
670 "apiKey": "string",
671 "baseURL": "string",
672 "engineID": "string",
673 "reasoningEffort": "minimal",
674 "requestPassthrough": {},
675 "service": "openai"
676 },
677 "field": "doc-sum",
678 "includes": {},
679 "prompt": {
680 "request": {
681 "abbreviated": "string",
682 "prompt": "string",
683 "role": "assistant"
684 },
685 "task": {
686 "abbreviated": "string",
687 "prompt": "string",
688 "role": "assistant"
689 }
690 }
691 },
692 "table": {
693 "engine": {
694 "apiKey": "string",
695 "baseURL": "string",
696 "engineID": "string",
697 "reasoningEffort": "minimal",
698 "requestPassthrough": {},
699 "service": "openai"
700 },
701 "field": "doc-sum",
702 "includes": {},
703 "prompt": {
704 "request": {
705 "abbreviated": "string",
706 "prompt": "string",
707 "role": "assistant"
708 },
709 "task": {
710 "abbreviated": "string",
711 "prompt": "string",
712 "role": "assistant"
713 }
714 }
715 },
716 "table-figure": {
717 "engine": {
718 "apiKey": "string",
719 "baseURL": "string",
720 "engineID": "string",
721 "reasoningEffort": "minimal",
722 "requestPassthrough": {},
723 "service": "openai"
724 },
725 "field": "doc-sum",
726 "includes": {},
727 "prompt": {
728 "request": {
729 "abbreviated": "string",
730 "prompt": "string",
731 "role": "assistant"
732 },
733 "task": {
734 "abbreviated": "string",
735 "prompt": "string",
736 "role": "assistant"
737 }
738 }
739 }
740 },
741 "search-query": {
742 "all": {
743 "engine": {
744 "apiKey": "string",
745 "baseURL": "string",
746 "engineID": "string",
747 "reasoningEffort": "minimal",
748 "requestPassthrough": {},
749 "service": "openai"
750 },
751 "field": "doc-sum",
752 "includes": {},
753 "prompt": {
754 "request": {
755 "abbreviated": "string",
756 "prompt": "string",
757 "role": "assistant"
758 },
759 "task": {
760 "abbreviated": "string",
761 "prompt": "string",
762 "role": "assistant"
763 }
764 }
765 },
766 "figure": {
767 "engine": {
768 "apiKey": "string",
769 "baseURL": "string",
770 "engineID": "string",
771 "reasoningEffort": "minimal",
772 "requestPassthrough": {},
773 "service": "openai"
774 },
775 "field": "doc-sum",
776 "includes": {},
777 "prompt": {
778 "request": {
779 "abbreviated": "string",
780 "prompt": "string",
781 "role": "assistant"
782 },
783 "task": {
784 "abbreviated": "string",
785 "prompt": "string",
786 "role": "assistant"
787 }
788 }
789 },
790 "json": {
791 "engine": {
792 "apiKey": "string",
793 "baseURL": "string",
794 "engineID": "string",
795 "reasoningEffort": "minimal",
796 "requestPassthrough": {},
797 "service": "openai"
798 },
799 "field": "doc-sum",
800 "includes": {},
801 "prompt": {
802 "request": {
803 "abbreviated": "string",
804 "prompt": "string",
805 "role": "assistant"
806 },
807 "task": {
808 "abbreviated": "string",
809 "prompt": "string",
810 "role": "assistant"
811 }
812 }
813 },
814 "paragraph": {
815 "engine": {
816 "apiKey": "string",
817 "baseURL": "string",
818 "engineID": "string",
819 "reasoningEffort": "minimal",
820 "requestPassthrough": {},
821 "service": "openai"
822 },
823 "field": "doc-sum",
824 "includes": {},
825 "prompt": {
826 "request": {
827 "abbreviated": "string",
828 "prompt": "string",
829 "role": "assistant"
830 },
831 "task": {
832 "abbreviated": "string",
833 "prompt": "string",
834 "role": "assistant"
835 }
836 }
837 },
838 "table": {
839 "engine": {
840 "apiKey": "string",
841 "baseURL": "string",
842 "engineID": "string",
843 "reasoningEffort": "minimal",
844 "requestPassthrough": {},
845 "service": "openai"
846 },
847 "field": "doc-sum",
848 "includes": {},
849 "prompt": {
850 "request": {
851 "abbreviated": "string",
852 "prompt": "string",
853 "role": "assistant"
854 },
855 "task": {
856 "abbreviated": "string",
857 "prompt": "string",
858 "role": "assistant"
859 }
860 }
861 },
862 "table-figure": {
863 "engine": {
864 "apiKey": "string",
865 "baseURL": "string",
866 "engineID": "string",
867 "reasoningEffort": "minimal",
868 "requestPassthrough": {},
869 "service": "openai"
870 },
871 "field": "doc-sum",
872 "includes": {},
873 "prompt": {
874 "request": {
875 "abbreviated": "string",
876 "prompt": "string",
877 "role": "assistant"
878 },
879 "task": {
880 "abbreviated": "string",
881 "prompt": "string",
882 "role": "assistant"
883 }
884 }
885 }
886 },
887 "sect-instruct": {
888 "all": {
889 "engine": {
890 "apiKey": "string",
891 "baseURL": "string",
892 "engineID": "string",
893 "reasoningEffort": "minimal",
894 "requestPassthrough": {},
895 "service": "openai"
896 },
897 "field": "doc-sum",
898 "includes": {},
899 "prompt": {
900 "request": {
901 "abbreviated": "string",
902 "prompt": "string",
903 "role": "assistant"
904 },
905 "task": {
906 "abbreviated": "string",
907 "prompt": "string",
908 "role": "assistant"
909 }
910 }
911 },
912 "figure": {
913 "engine": {
914 "apiKey": "string",
915 "baseURL": "string",
916 "engineID": "string",
917 "reasoningEffort": "minimal",
918 "requestPassthrough": {},
919 "service": "openai"
920 },
921 "field": "doc-sum",
922 "includes": {},
923 "prompt": {
924 "request": {
925 "abbreviated": "string",
926 "prompt": "string",
927 "role": "assistant"
928 },
929 "task": {
930 "abbreviated": "string",
931 "prompt": "string",
932 "role": "assistant"
933 }
934 }
935 },
936 "json": {
937 "engine": {
938 "apiKey": "string",
939 "baseURL": "string",
940 "engineID": "string",
941 "reasoningEffort": "minimal",
942 "requestPassthrough": {},
943 "service": "openai"
944 },
945 "field": "doc-sum",
946 "includes": {},
947 "prompt": {
948 "request": {
949 "abbreviated": "string",
950 "prompt": "string",
951 "role": "assistant"
952 },
953 "task": {
954 "abbreviated": "string",
955 "prompt": "string",
956 "role": "assistant"
957 }
958 }
959 },
960 "paragraph": {
961 "engine": {
962 "apiKey": "string",
963 "baseURL": "string",
964 "engineID": "string",
965 "reasoningEffort": "minimal",
966 "requestPassthrough": {},
967 "service": "openai"
968 },
969 "field": "doc-sum",
970 "includes": {},
971 "prompt": {
972 "request": {
973 "abbreviated": "string",
974 "prompt": "string",
975 "role": "assistant"
976 },
977 "task": {
978 "abbreviated": "string",
979 "prompt": "string",
980 "role": "assistant"
981 }
982 }
983 },
984 "table": {
985 "engine": {
986 "apiKey": "string",
987 "baseURL": "string",
988 "engineID": "string",
989 "reasoningEffort": "minimal",
990 "requestPassthrough": {},
991 "service": "openai"
992 },
993 "field": "doc-sum",
994 "includes": {},
995 "prompt": {
996 "request": {
997 "abbreviated": "string",
998 "prompt": "string",
999 "role": "assistant"
1000 },
1001 "task": {
1002 "abbreviated": "string",
1003 "prompt": "string",
1004 "role": "assistant"
1005 }
1006 }
1007 },
1008 "table-figure": {
1009 "engine": {
1010 "apiKey": "string",
1011 "baseURL": "string",
1012 "engineID": "string",
1013 "reasoningEffort": "minimal",
1014 "requestPassthrough": {},
1015 "service": "openai"
1016 },
1017 "field": "doc-sum",
1018 "includes": {},
1019 "prompt": {
1020 "request": {
1021 "abbreviated": "string",
1022 "prompt": "string",
1023 "role": "assistant"
1024 },
1025 "task": {
1026 "abbreviated": "string",
1027 "prompt": "string",
1028 "role": "assistant"
1029 }
1030 }
1031 }
1032 },
1033 "sect-keys": {
1034 "all": {
1035 "engine": {
1036 "apiKey": "string",
1037 "baseURL": "string",
1038 "engineID": "string",
1039 "reasoningEffort": "minimal",
1040 "requestPassthrough": {},
1041 "service": "openai"
1042 },
1043 "field": "doc-sum",
1044 "includes": {},
1045 "prompt": {
1046 "request": {
1047 "abbreviated": "string",
1048 "prompt": "string",
1049 "role": "assistant"
1050 },
1051 "task": {
1052 "abbreviated": "string",
1053 "prompt": "string",
1054 "role": "assistant"
1055 }
1056 }
1057 },
1058 "figure": {
1059 "engine": {
1060 "apiKey": "string",
1061 "baseURL": "string",
1062 "engineID": "string",
1063 "reasoningEffort": "minimal",
1064 "requestPassthrough": {},
1065 "service": "openai"
1066 },
1067 "field": "doc-sum",
1068 "includes": {},
1069 "prompt": {
1070 "request": {
1071 "abbreviated": "string",
1072 "prompt": "string",
1073 "role": "assistant"
1074 },
1075 "task": {
1076 "abbreviated": "string",
1077 "prompt": "string",
1078 "role": "assistant"
1079 }
1080 }
1081 },
1082 "json": {
1083 "engine": {
1084 "apiKey": "string",
1085 "baseURL": "string",
1086 "engineID": "string",
1087 "reasoningEffort": "minimal",
1088 "requestPassthrough": {},
1089 "service": "openai"
1090 },
1091 "field": "doc-sum",
1092 "includes": {},
1093 "prompt": {
1094 "request": {
1095 "abbreviated": "string",
1096 "prompt": "string",
1097 "role": "assistant"
1098 },
1099 "task": {
1100 "abbreviated": "string",
1101 "prompt": "string",
1102 "role": "assistant"
1103 }
1104 }
1105 },
1106 "paragraph": {
1107 "engine": {
1108 "apiKey": "string",
1109 "baseURL": "string",
1110 "engineID": "string",
1111 "reasoningEffort": "minimal",
1112 "requestPassthrough": {},
1113 "service": "openai"
1114 },
1115 "field": "doc-sum",
1116 "includes": {},
1117 "prompt": {
1118 "request": {
1119 "abbreviated": "string",
1120 "prompt": "string",
1121 "role": "assistant"
1122 },
1123 "task": {
1124 "abbreviated": "string",
1125 "prompt": "string",
1126 "role": "assistant"
1127 }
1128 }
1129 },
1130 "table": {
1131 "engine": {
1132 "apiKey": "string",
1133 "baseURL": "string",
1134 "engineID": "string",
1135 "reasoningEffort": "minimal",
1136 "requestPassthrough": {},
1137 "service": "openai"
1138 },
1139 "field": "doc-sum",
1140 "includes": {},
1141 "prompt": {
1142 "request": {
1143 "abbreviated": "string",
1144 "prompt": "string",
1145 "role": "assistant"
1146 },
1147 "task": {
1148 "abbreviated": "string",
1149 "prompt": "string",
1150 "role": "assistant"
1151 }
1152 }
1153 },
1154 "table-figure": {
1155 "engine": {
1156 "apiKey": "string",
1157 "baseURL": "string",
1158 "engineID": "string",
1159 "reasoningEffort": "minimal",
1160 "requestPassthrough": {},
1161 "service": "openai"
1162 },
1163 "field": "doc-sum",
1164 "includes": {},
1165 "prompt": {
1166 "request": {
1167 "abbreviated": "string",
1168 "prompt": "string",
1169 "role": "assistant"
1170 },
1171 "task": {
1172 "abbreviated": "string",
1173 "prompt": "string",
1174 "role": "assistant"
1175 }
1176 }
1177 }
1178 },
1179 "sect-summary": {
1180 "all": {
1181 "engine": {
1182 "apiKey": "string",
1183 "baseURL": "string",
1184 "engineID": "string",
1185 "reasoningEffort": "minimal",
1186 "requestPassthrough": {},
1187 "service": "openai"
1188 },
1189 "field": "doc-sum",
1190 "includes": {},
1191 "prompt": {
1192 "request": {
1193 "abbreviated": "string",
1194 "prompt": "string",
1195 "role": "assistant"
1196 },
1197 "task": {
1198 "abbreviated": "string",
1199 "prompt": "string",
1200 "role": "assistant"
1201 }
1202 }
1203 },
1204 "figure": {
1205 "engine": {
1206 "apiKey": "string",
1207 "baseURL": "string",
1208 "engineID": "string",
1209 "reasoningEffort": "minimal",
1210 "requestPassthrough": {},
1211 "service": "openai"
1212 },
1213 "field": "doc-sum",
1214 "includes": {},
1215 "prompt": {
1216 "request": {
1217 "abbreviated": "string",
1218 "prompt": "string",
1219 "role": "assistant"
1220 },
1221 "task": {
1222 "abbreviated": "string",
1223 "prompt": "string",
1224 "role": "assistant"
1225 }
1226 }
1227 },
1228 "json": {
1229 "engine": {
1230 "apiKey": "string",
1231 "baseURL": "string",
1232 "engineID": "string",
1233 "reasoningEffort": "minimal",
1234 "requestPassthrough": {},
1235 "service": "openai"
1236 },
1237 "field": "doc-sum",
1238 "includes": {},
1239 "prompt": {
1240 "request": {
1241 "abbreviated": "string",
1242 "prompt": "string",
1243 "role": "assistant"
1244 },
1245 "task": {
1246 "abbreviated": "string",
1247 "prompt": "string",
1248 "role": "assistant"
1249 }
1250 }
1251 },
1252 "paragraph": {
1253 "engine": {
1254 "apiKey": "string",
1255 "baseURL": "string",
1256 "engineID": "string",
1257 "reasoningEffort": "minimal",
1258 "requestPassthrough": {},
1259 "service": "openai"
1260 },
1261 "field": "doc-sum",
1262 "includes": {},
1263 "prompt": {
1264 "request": {
1265 "abbreviated": "string",
1266 "prompt": "string",
1267 "role": "assistant"
1268 },
1269 "task": {
1270 "abbreviated": "string",
1271 "prompt": "string",
1272 "role": "assistant"
1273 }
1274 }
1275 },
1276 "table": {
1277 "engine": {
1278 "apiKey": "string",
1279 "baseURL": "string",
1280 "engineID": "string",
1281 "reasoningEffort": "minimal",
1282 "requestPassthrough": {},
1283 "service": "openai"
1284 },
1285 "field": "doc-sum",
1286 "includes": {},
1287 "prompt": {
1288 "request": {
1289 "abbreviated": "string",
1290 "prompt": "string",
1291 "role": "assistant"
1292 },
1293 "task": {
1294 "abbreviated": "string",
1295 "prompt": "string",
1296 "role": "assistant"
1297 }
1298 }
1299 },
1300 "table-figure": {
1301 "engine": {
1302 "apiKey": "string",
1303 "baseURL": "string",
1304 "engineID": "string",
1305 "reasoningEffort": "minimal",
1306 "requestPassthrough": {},
1307 "service": "openai"
1308 },
1309 "field": "doc-sum",
1310 "includes": {},
1311 "prompt": {
1312 "request": {
1313 "abbreviated": "string",
1314 "prompt": "string",
1315 "role": "assistant"
1316 },
1317 "task": {
1318 "abbreviated": "string",
1319 "prompt": "string",
1320 "role": "assistant"
1321 }
1322 }
1323 }
1324 }
1325 },
1326 "relationships": {
1327 "account": true,
1328 "documents": [
1329 "string"
1330 ],
1331 "ids": [
1332 1
1333 ]
1334 },
1335 "workflowId": "string"
1336 }
1337 ]
1338}
Get all workflows associated with the API key.
Was this page helpful?
Previous

create

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Response

Look up success
workflowslist of objects